mod handlers;
mod models;
mod sql;

use axum::extract::DefaultBodyLimit;
use utoipa_axum::{router::OpenApiRouter, routes};

use crate::{
    api::routes::users::permissions::{Permission, PermissionDetail},
    permission_required,
};

use handlers::{files_draft_file_get::*, files_draft_get::*, files_draft_post::*};

const FILE_SIZE_LIMIT_MB: usize = 20;

// expose the OpenAPI to parent module
pub fn router() -> OpenApiRouter {
    OpenApiRouter::new()
        .routes(routes!(get_specified_draft_file))
        .routes(routes!(upload_draft_file, get_attached_draft_files))
        .layer(DefaultBodyLimit::max(FILE_SIZE_LIMIT_MB * 1000 * 1000))
    // .route_layer(permission_required!(Permission::Write(
    //     PermissionDetail::Users // TODO adjust permissions
    // )))
}
