CREATE TABLE IF NOT EXISTS public.draftfiles
(
    "DraftID" timestamp without time zone NOT NULL,
    "UserID" character varying(10) COLLATE pg_catalog."default" NOT NULL,
    "ContentType" character varying(255) COLLATE pg_catalog."default" NOT NULL,
    "Name" character varying COLLATE pg_catalog."default" NOT NULL,
    "Hash" character varying COLLATE pg_catalog."default" NOT NULL,
    "Data" bytea NOT NULL,
    "Size" integer NOT NULL,
    CONSTRAINT draftfiles_pkey PRIMARY KEY ("DraftID", "UserID", "Hash"),
    CONSTRAINT "UserID" FOREIGN KEY ("UserID")
        REFERENCES public.users ("UserID") MATCH SIMPLE
        ON UPDATE NO ACTION
        ON DELETE NO ACTION
        NOT VALID
)

TABLESPACE pg_default;

ALTER TABLE IF EXISTS public.draftfiles
    OWNER to postgres;